catalog:
  title: SpeechRecognition with German pocketsphinx model

templates:
- freestyle
- base

variables:
  description: Custom Kognimirror model for SpeechRecognition
  keywords:
  - python
  - SpeechRecognition
  - sphinx
  access: private

  repository: https://synergy.cit-ec.de/git/kognihome-tp2.pocketsphinx-de.git
  scm.credentials: synergy.cit-ec
  branches:
  - master

  extra-provides:
  - setuptools: speech-recognition
  - setuptools: speech-recognition-de
  - '@{next-value|[]}'
  extra-requires:
  - library: pulse
  - program: swig
  - '@{next-value|[]}'
  platform-requires:
    ubuntu:
      packages:
      - python-pyaudio
      - portaudio19-dev

  shell.command: |
    ${next-value}
    pip install "pyaudio>=0.2.11" pocketsphinx "SpeechRecognition>=3.7.1" --prefix $prefix
    ./install.sh

  shell.environment:
  - prefix="${toolkit.dir}"
  - INSTALL_PREFIX="${toolkit.dir}"
  - PYTHONPATH="$PYTHONPATH:${toolkit.dir}/lib/python2.7/site-packages"
  - '@{next-value|[]}'
